<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="auth" uri="http://www.springframework.org/security/tags" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<auth:authentication property="authorities" var="authorities"/>
<c:if test="${fn:length(authorities) eq 0}">
    <% request.getRequestDispatcher("/WEB-INF/jsp/errorPages/accessdenied.jsp").forward(request, response); %>
</c:if>
<c:if test="${fn:length(authorities) ne  0}">
    <c:set var="activeClass"><tiles:getAsString name='activeClass' ignore='true'/></c:set>
    <!DOCTYPE html>
    <html>
    <head>
        <jsp:include page="/WEB-INF/jsp/baseUrl.jsp"/>
        <jsp:include page="/WEB-INF/jsp/common/meta.jsp"/>
        <jsp:include page="/WEB-INF/jsp/common/css.jsp"/>
        <title>XYZ Server: <tiles:insertAttribute name="title"/></title>
    </head>
    <body class="${activeClass}-page">
    <tiles:insertAttribute name="header"/>
    <tiles:insertAttribute name="secondaryNav"/>
    <tiles:insertAttribute name="sidebar"/>
    <tiles:insertAttribute name="body"/>
    <div class="helical-hi hidden"  id="loading">
        <img src="${baseURL}/images/alpha/hi_eve.gif" class="img-responsive">
    </div>
    <jsp:include page="/WEB-INF/jsp/common/voiceInfo.jsp"/>
    <jsp:include page="/WEB-INF/jsp/common/js.jsp"/>
    <c:if test="${not fn:contains(header['User-Agent'], 'PhantomJS')}">
    <script src="${baseURL}/js/pace.min.js"></script>
    <script src="${baseURL}/js/list.min.js"></script>

    <script src="${baseURL}/js/dragscroll.js"></script>
    <script src="${baseURL}/js/jquery.mCustomScrollbar.js"></script>
	<script src="${baseURL}/js/notification.js"></script>
    </c:if>
    <tiles:insertAttribute name="hdiscript" ignore="true"/>
    <jsp:include page="/WEB-INF/jsp/common/filebrowser.jsp"/>
    <tiles:insertAttribute name="footer" ignore="true"/>
    <c:if test="${not fn:contains(header['User-Agent'], 'PhantomJS')}">
        <script src="${baseURL}/js/voice.js"></script>
    </c:if>
    <auth:authorize access="hasAnyRole('ROLE_USER','ROLE_ADMIN')">
        <c:if test="${(activeClass eq 'hdi') }">
            <script src="${baseURL}/js/sidebarFooter.js"></script>
            <script src="${baseURL}/js/custom.js"></script>
        </c:if>
    </auth:authorize>
    <div id="printFrame" style="visibility: hidden"></div>

    <c:if test="${param['tour'] ne null }">
        <script src="${baseURL}/js/tutorial.js"></script>
    </c:if>
    <auth:authorize access="hasAnyRole('ROLE_USER','ROLE_ADMIN')">
        <c:if test="${(activeClass eq 'hdi') or (activeClass eq 'designer')}">
            <script type="text/javascript" src="${baseURL}/js/printFrame.js"></script>
            <script type="text/javascript">
                function enablePrintFrame(event) {
                    event.preventDefault();
                    if(window.dataFormat && window.dataFormat != ""){
                        window.dataFormat = "";
                        window.dataFormat = event.data('format');
                    }
                    window.printFrame.rebuild();
                }
            </script>
        </c:if>
    </auth:authorize>
	<script type="text/javascript" src="${baseURL}/js/colorpicker.js"></script>
    </body>
    </html>
</c:if>