<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://www.springframework.org/security/tags" prefix="sec" %>
 <sec:authentication property="principal.loggedInUser.org_id" var="organizationAdmin"/>
<c:set var="activeClass"><tiles:getAsString name='activeClass' ignore='true'/></c:set>

<link rel="stylesheet" href="${baseURL}/css/customized-css.css">

<nav class="navbar navbar-default primary-nav">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="${baseURL}/"><img style="height: 28px;" src="${baseURL}/images/logo-xyz.png"> <span>Enterprise <br> Edition</span></a>
        </div>
         <ul class="nav navbar-nav">
          <li>
           <jsp:include page="/WEB-INF/jsp/common/licenseWarning.jsp"/>
          </li>
         </ul> 
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <c:set var="hiEnv" value="<%=System.getenv(\"HI_ENV\")%>" scope="session"/>
                <c:if test="${hiEnv ne null}">
                <li>
                    <a title="Environment" href="#"><strong>${hiEnv}</strong>  </a>
                </li>
                </c:if>
				<li>
					<div id="notification-main"></div>
				</li>

                <li>
                    <a title="Tutorial" class="tutorial-mode" href="#"> <i class="flaticon-tutorial"></i>  </a>
                </li>
               <!-- <li>
                    <a href="http://www.helicalinsight.com/learn/" target="_blank"> <i class="flaticon-help"></i> Help
                    </a>
                </li>  -->
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                        <span class="profile-pic">HI</span> ${sessionScope.SPRING_SECURITY_CONTEXT.authentication.principal.username}
                        <span class="caret"></span> </a>
                    <ul class="dropdown-menu">
                        <li>
                            <a class="handleOverflow" id="handleAuthCss">
                                <i class="fa fa-at"></i>
                                <sec:authentication property="principal.loggedInUser.emailAddress" />
                            </a>
                        </li>

                        <li>
                            <a class="handleOverflow" id="handleAuthCss">
                                <i class="fa fa-building-o "></i>
                                <c:choose>
                                    <c:when test="${empty organizationAdmin}">Not set</c:when>
                                    <c:otherwise>
                                        <sec:authentication property="principal.loggedInUser.organization.org_name" />
                                    </c:otherwise>
                                </c:choose>
                            </a>
                        </li>
                        <li>
                            <a href="${baseURL}/j_spring_security_logout">
                                <i class="fa fa-sign-out"></i>Logout
                            </a>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
        <!--/.nav-collapse -->
    </div>
</nav>